Loading...
Searching...
No Matches
ExtendableDigraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseDigraphComponent>
class lemon::concepts::ExtendableDigraphComponent< BAS >

This class describes the interface of extendable directed graphs. It extends BaseDigraphComponent with functions for adding nodes and arcs to the digraph. This concept requires AlterableDigraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ExtendableDigraphComponent< BAS >:
[legend]

## Public Member Functions

Node | addNode ()
| Add a new node to the digraph.
Arc | addArc (const Node &, const Node &)
| Add a new arc connecting the given two nodes.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.

## Member Function Documentation

## addNode()

template<typename BAS = BaseDigraphComponent>

Node addNode | ( |  | ) |

inline

This function adds a new node to the digraph.

## addArc()

template<typename BAS = BaseDigraphComponent>

Arc addArc | ( | const Node & | ,
|  | const Node & | )

inline

This function adds a new arc connecting the given two nodes of the digraph.